GET /v2/droplets

digitalocean.com

Summary: List All Droplets
Operation ID: droplets_list
Auth: unknown
Description

To list all Droplets in your account, send a GET request to `/v2/droplets`. The response body will be a JSON object with a key of `droplets`. This will be set to an array containing objects each representing a Droplet. These will contain the standard Droplet attributes. ### Filtering Results by Tag It's possible to request filtered results by including certain query parameters. To only list Droplets assigned to a specific tag, include the `tag_name` query parameter set to the name of the tag in your GET request. For example, `/v2/droplets?tag_name=$TAG_NAME`.

Parameters (2)

name (string, query, optional)

Used to filter list response by Droplet name returning only exact matches. It is case-insensitive and can not be combined with `tag_name`.

tag_name (string, query, optional)

Used to filter Droplets by a specific tag. Can not be combined with `name`.

No probe data for this endpoint yet.